3 Replies Latest reply on Mar 13, 2008 9:01 AM by Adrian Brock

    Invalid jboss-deployers-vfs-spi POM

    Andrew Rubinger Master

      Caught this today:

      [WARNING] POM for 'org.jboss.microcontainer:jboss-deployers-vfs-spi:pom:2.0.0-SNAPSHOT:compile' is invalid. It will be ignored for artifact resolution. Reason: Failed to validate POM for project org.jboss.microcontainer:jboss-deployers-vfs-spi at Artifact [org.jboss.microcontainer:jboss-deployers-vfs-spi:pom:2.0.0-SNAPSHOT:compile]


      ...while running EJB3 Aggregator Build.

      FYI.

      S,
      ALR

        • 1. Re: Invalid jboss-deployers-vfs-spi POM
          Adrian Brock Master

          org.jboss.microcontainer:jboss-deployers-* no longer exists.

          If you don't want to do the extra work of reading a forum where a project is
          being developed then don't use a snapshot. :-)

          • 2. Re: Invalid jboss-deployers-vfs-spi POM
            Andrew Rubinger Master

             

            "adrian@jboss.org" wrote:
            If you don't want to do the extra work of reading a forum where a project is being developed then don't use a snapshot. :-)


            That wasn't an option. I've got to use the same versions for EJB3 as the AS assembly will place in the runtime, else I'll have a version conflict.

            But after the changes to the build system, and the discussion on a forum you weren't monitoring, I'm guessing you now feel my pain. :)

            S,
            ALR

            • 3. Re: Invalid jboss-deployers-vfs-spi POM
              Adrian Brock Master

               

              "ALRubinger" wrote:
              "adrian@jboss.org" wrote:
              If you don't want to do the extra work of reading a forum where a project is being developed then don't use a snapshot. :-)


              That wasn't an option. I've got to use the same versions for EJB3 as the AS assembly will place in the runtime, else I'll have a version conflict.


              AS isn't using the MC snapshot, it is using Beta10.1
              If it were, it would be broken :-)


              But after the changes to the build system, and the discussion on a forum you weren't monitoring, I'm guessing you now feel my pain. :)

              S,
              ALR


              Not really, because I haven't integrated the latest MC into AS yet and when I do
              I'll give everybody fair warning before I do it. :-)